Description

Susan_Shelingoski requested defaults for these fields:

Some of the fields that would be helpful to import / or carry over within
the same project would be: party, taxonomic standard, general, county,
quad, place name, land owner, datum type, accuracy, elevation, plot
location.

My response:

1) For the parties, would you want all the parties copied, or just one?
2) When did you discover that you wanted this- a few plots into entry?
That would mean that it would be better to allow this default option
later in the entry process rather than at the beginning.

3) Did you enter all your plot numbers initially, then begin entry?

Or did you continue to add plots one by one as you got to a new plot?
If you did the latter then the default values would have to apply to
new plots added, not just ones already there.

History

#1 - 01/12/2007 04:17 PM - Michael Lee

Any fields that were treated specially could have default values stored in them, or have a flag set to hide them when the plot data form loads. These
could be stored in the entryErr_plotData table, with a key value reserved for templates, and you could even designate a project for that template to
belong to. This wouldn't allow for easy consideration of party info.

Perhaps a more generalized format would be better wherein one table would hold defaults for fields (per project) and the other would hold subform
data per project, using FK values. That second table could be problematic if the data change on parties (deletions or changing a party from one to
another). It would function like the W__ tables, but more generalized (could take data from plotContrib or other subforms (are there others that this
would be useful for?)).

Another major issue is whether these defaults would apply to existing plots, new plots, or both. After new plots are added, the updates could be
triggered, but users should know that their plots will have defaults added to new plots as they add the new plots, then be able to check and change
the defaults.

NC is hard-coded into state- perhaps we could add that to the rest of this.

#2 - 07/13/2007 12:07 PM - Michael Lee
Working on this...

#3 - 07/27/2007 05:07 PM - Michael Lee

v211p51

default values can now be specified by right clicking on any control (with a value) and choosing "set as default.”
Furthermore, users can specify default parties to add to each plot and named places, too.

A basic management page exists, but needs more functionality:

*help manage defaults by searching field names and values (and allow show all) and table labels, too.

*link in party and place name defaults to manager form

*warn user about defaults that will be used before adding new plots!

*link in default value management into advanced options form
*add to documentation
#4 - 08/03/2007 01:27 PM - Michael Lee

Not hiding default values or skipping them on tab-stops. they should still be confirmed.

Can set default values in plot, header data, and other data, too.
version v211p53

still need to better deal with extant versus new defaults. Perhaps two options in the right-click menu would be helpful.

#5 - 08/03/2007 03:38 PM - Michael Lee

two options on right-click menu now leave you with the option of populating new plots only, or current ones, too.

v211p53_post.zip

#6 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2719
